<bugID>1046079<Summary>Exception running bootstrap method uninstall on firefox-hotfix@mozilla.org: TypeError: this._s is null</Summary><Description>I've encountered this running on todays mozilla-aurora state:

1406718478713	addons.xpi	WARN	Exception running bootstrap method uninstall on firefox-hotfix@mozilla.org: TypeError: this._s is null (resource://firefox-hotfix/update.jsm:667:8) JS Stack trace: UpgradeManager.prototype._cleanup@update.jsm:667:9 &lt; UpgradeManager.prototype.addonManagerUninstall@update.jsm:738:5 &lt; uninstall@resource://gre/modules/addons/XPIProvider.jsm -&gt; jar:file:///Users/gfritzsche/Library/Application%20Support/Firefox/Profiles/nv3njqwb.dev3/extensions/firefox-hotfix@bootstrap.js:80:5 &lt; XPI_callBootstrapMethod@XPIProvider.jsm:4303:9 &lt; XPI_uninstallAddon@XPIProvider.jsm:4541:1 &lt; AddonWrapper_uninstall@XPIProvider.jsm:6775:5 &lt; install/&lt;@resource://gre/modules/addons/XPIProvider.jsm -&gt; jar:file:///Users/gfritzsche/Library/Application%20Support/Firefox/Profiles/nv3njqwb.dev3/extensions/firefox-hotfix@bootstrap.js:42:7 &lt; safeCall@AddonManager.jsm:168:5 &lt; getAddonByID_safeCall@AddonManager.jsm:1936:13 &lt; getAddonByID_getVisibleAddonForID@XPIProvider.jsm:3675:7 &lt; makeSafe/&lt;@XPIProviderUtils.js:146:17 &lt; completeAddon@XPIProviderUtils.js:135:5 &lt; getAddon@AddonRepository.jsm:585:7 &lt; this.AddonRepository.getCachedAddonByID&lt;@AddonRepository.jsm:617:5 &lt; TaskImpl_run@Task.jsm:314:40 &lt; TaskImpl@Task.jsm:275:3 &lt; createAsyncFunction/asyncFunction@Task.jsm:249:14 &lt; getRepositoryAddon@XPIProviderUtils.js:137:3 &lt; this.XPIDatabase.getAddon/&lt;@XPIProviderUtils.js:1091:9 &lt; Handler.prototype.process@Promise-backend.js:866:23 &lt; this.PromiseWalker.walkerLoop@Promise-backend.js:745:7 &lt; openModalWindow@nsPrompter.js:369:5 &lt; ModalPrompter.prototype.openPrompt@nsPrompter.js:552:9 &lt; ModalPrompter.prototype.confirmEx@nsPrompter.js:696:9 &lt; Prompter.prototype.confirmEx@nsPrompter.js:78:16 &lt; BG__onWindowsRestored/&lt;@nsBrowserGlue.js:736:20

Might be due to local build or switching with the same profile between channels etc., so close if you think it's not relevant to the real population.</Description></bugID>